> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Bill Draft

> GET detail + PATCH update on a single BillDraft.



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json put /coa/api/v1/bill-draft/{id}
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.


    ## Rate limits

    API users can make up to **5 requests per second**. This limit is shared
    across

    all endpoints for the same API user. Requests that exceed the limit receive
    a

    `429 Too Many Requests` response. Wait for the number of seconds specified
    in

    the `Retry-After` response header before retrying.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/v1/bill-draft/{id}:
    put:
      tags:
        - Accounts Payable
      summary: Update Bill Draft
      description: GET detail + PATCH update on a single BillDraft.
      operationId: update_bill_draft
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BillDraftWrite'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/BillDraftWrite'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/BillDraftWrite'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillDraftWrite'
          description: ''
components:
  schemas:
    BillDraftWrite:
      type: object
      description: Editable subset used during review (PATCH).
      properties:
        entity:
          type: integer
          nullable: true
        extracted_vendor_name:
          type: string
          nullable: true
        extracted_bill_number:
          type: string
          nullable: true
        extracted_bill_date:
          type: string
          format: date
          nullable: true
        extracted_due_date:
          type: string
          format: date
          nullable: true
        extracted_currency:
          type: string
          nullable: true
          maxLength: 3
        extracted_total_amount:
          type: number
          format: double
          maximum: 100000000000000
          minimum: -100000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        extracted_line_items: {}
        staged_payload:
          nullable: true
        resolved_vendor:
          type: integer
          nullable: true

````